Package io.vertx.rxjava3.httpproxy.interceptors

## Class HeadInterceptor

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.interceptors.HeadInterceptor

- All Implemented Interfaces:
    `ProxyInterceptor`

      public class HeadInterceptor
      extends Object
      implements ProxyInterceptor

  An interceptor updating HTTP request/response head attributes (headers, path, query params).

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<HeadInterceptor>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HeadInterceptor​(HeadInterceptor delegate)` |
    `HeadInterceptor​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HeadInterceptorBuilder` | `builder()` |
    `boolean` | `equals​(Object o)` |
    `HeadInterceptor` | `getDelegate()` |
    `Single<ProxyResponse>` | `handleProxyRequest​(ProxyContext context)` | Handle the proxy request at the stage of this interceptor.
    `Completable` | `handleProxyResponse​(ProxyContext context)` | Handle the proxy response at the stage of this interceptor.
    `int` | `hashCode()` |
    `static HeadInterceptor` | `newInstance​(HeadInterceptor arg)` |
    `Single<ProxyResponse>` | `rxHandleProxyRequest​(ProxyContext context)` | Handle the proxy request at the stage of this interceptor.
    `Completable` | `rxHandleProxyResponse​(ProxyContext context)` | Handle the proxy response at the stage of this interceptor.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HeadInterceptor> __TYPE_ARG

  - ### Constructor Detail

    - #### HeadInterceptor

          public HeadInterceptor​(HeadInterceptor delegate)

    - #### HeadInterceptor

          public HeadInterceptor​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HeadInterceptor getDelegate()

      Specified by:
        `getDelegate` in interface `ProxyInterceptor`

    - #### handleProxyRequest

          public Single<ProxyResponse> handleProxyRequest​(ProxyContext context)

      Handle the proxy request at the stage of this interceptor.
      Specified by:
        `handleProxyRequest` in interface `ProxyInterceptor`
      Parameters:
        `context` - the proxy context
      Returns:
        when the request has actually been sent to the origin

    - #### rxHandleProxyRequest

          public Single<ProxyResponse> rxHandleProxyRequest​(ProxyContext context)

      Handle the proxy request at the stage of this interceptor.
      Specified by:
        `rxHandleProxyRequest` in interface `ProxyInterceptor`
      Parameters:
        `context` - the proxy context
      Returns:
        when the request has actually been sent to the origin

    - #### handleProxyResponse

          public Completable handleProxyResponse​(ProxyContext context)

      Handle the proxy response at the stage of this interceptor.
      Specified by:
        `handleProxyResponse` in interface `ProxyInterceptor`
      Parameters:
        `context` - the proxy context
      Returns:
        when the response has actually been sent to the user-agent

    - #### rxHandleProxyResponse

          public Completable rxHandleProxyResponse​(ProxyContext context)

      Handle the proxy response at the stage of this interceptor.
      Specified by:
        `rxHandleProxyResponse` in interface `ProxyInterceptor`
      Parameters:
        `context` - the proxy context
      Returns:
        when the response has actually been sent to the user-agent

    - #### builder

          public static HeadInterceptorBuilder builder()

      Returns:
        a builder for head interception

    - #### newInstance

          public static HeadInterceptor newInstance​(HeadInterceptor arg)